// A C++ program that illustrates
// associating exceptions with functions

#include <iostream.h>

// declare skeleton exception classes
class mainError {};
class secError {};

void solver(int nCode) throw(mainError, secError);

main()
{
  // throw an exception
  try {
      solver(1);
  }
  catch (mainError)
  {
    cout << "Handling main exception\n";
  }
  catch (secError)
  {
    cout << "Handling secondary exception\n";
  }

  return 0;
}

void solver(int nCode) throw(mainError, secError)
{
  if (nCode >= 0)
    throw mainError();
  else
    throw secError();
}

