// A C++ program that illustrates simple C++ functions

#include <iostream.h>
#include <stdlib.h>
#include <ctype.h>

// declare prototype of functions
double cube(double x);
double factorial(int n);
char uppcaseChar(char c);
double power(double fBase, int nExponent);

main()
{          
  double fX = 2.5;
  int nNum = 5;
  char cChar = 'a';
 
  cout << "Uppercase of " << cChar
       << " is " << uppcaseChar(cChar) << "\n";
      
  cout << "Factorial of " << nNum
       << " = " << factorial(nNum) << "\n";
 
  cout << "Cube of " << fX << " = " << cube(fX) << "\n";
 
  cout << fX << " raised to power " << nNum
       << " = " << power(fX, nNum) << "\n";    

  return 0;
}

double cube(double x)
{
  return x * x * x;
}                 

double factorial(int n)
{
  double fResult = 1;
  for (int i = n; i > 0; i--)
    fResult *= (double)i;
   
  return fResult; 
}

char uppcaseChar(char c)
{
  return char(toupper(c));
}

double power(double fBase, int nExponent)
{
  double fResult = 1;

  // process positive exponent
  if (nExponent > 0)
    for (int i = 1; i <= nExponent; i++)
      fResult *= fBase;   
  // process negative exponent   
  else if (nExponent < 0)
    for (int i = nExponent; i < 0; i++)
      fResult *= fBase;
 
  return fResult;
}

