// A C++ program that illustrates default arguments

#include <iostream.h>
#include <math.h>

// declare function prototype
void showChar(char c = '!', char* pszMsg = "", int nNewLine = 1);

main()
{
  char cLetter = 'F';

  // display text and letter
  showChar(cLetter++, "The letter is ");
  // display letter only
  showChar(cLetter++, "", 0);
  // emit a newline
  showChar();
  // display a letter and a newline
  showChar(cLetter++);

  return 0;
}

void showChar(char c, char* pszMsg, int nNewLine)
{
  static nCount = 1;
  cout << "Call number " << nCount++ << " -> '"
       << pszMsg << c << "'"
       << ((nNewLine == 1) ? "\n" : "");
}

