// A C++ program that illustrates constant parameters

#include <iostream.h>

// declare function prototypes
char getNextChar(const char c);
char getPrevChar(const char c);
void showChar(const char* pszMsg, const char c);

int getAverage(const int nNum1, const int nNum2);
void showInt(const char* pszMsg, const int nNum);

double getMean(const double fX1, const double fX2);
void showDouble(const char* pszMsg, const double fX);

main()
{
  char cLetter;
  int nN1, nN2;
  double fX1, fX2;

  cout << "Enter a letter : ";
  cin >> cLetter;
  showChar("Input character is ", cLetter);
  showChar("Next character is ", getNextChar(cLetter));
  showChar("Previous character is ", getPrevChar(cLetter));
  cout << "\n";

  cout << "Enter first integer : ";
  cin >> nN1;
  cout << "Enter second integer : ";
  cin >> nN2;
  showInt("Average integer = ", getAverage(nN1, nN2));
  cout << "\n";

  cout << "Enter first number : ";
  cin >> fX1;
  cout << "Enter second number : ";
  cin >> fX2;
  showDouble("Average number = ", getMean(fX1, fX2));

  return 0;
}

char getNextChar(const char c)
{
  return c + 1;
}

char getPrevChar(const char c)
{
  return c - 1;
}

void showChar(const char* pszMsg, const char c)
{
  cout << pszMsg << c << "\n";
}


int getAverage(const int nNum1, const int nNum2)
{
  return (nNum1 + nNum2) / 2;
}

void showInt(const char* pszMsg, const int nNum)
{
  cout << pszMsg << nNum << "\n";
}

double getMean(const double fX1, const double fX2)
{
  return (fX1 + fX2) / 2;
}

void showDouble(const char* pszMsg, const double fX)
{
  cout << pszMsg << fX << "\n";
}

