// A C++ program that illustrates
// default arguments in functions

#include <iostream.h>                  
#include <string.h>
                                         
enum boolean { false, true };
enum charState { asIs, toUpper, toLower };

// declare prototype of function        
void show(const char* pszStr = "Greetings!",
          boolean bEmitCR = true,
          charState state = asIs);
                                               

main()
{          
  char* pszStr = "Object-Oriented Programming";
 
  // call show with all default arguments
  show();                               
              
  // call show with two default arguments            
  show(pszStr);

  // call show with one default argument
  show(pszStr, false);
  cout << "\n";
 
  // call show with no default arguments
  show(pszStr, true, toUpper);
  show(pszStr, true, toLower);

  return 0;
}

void show(const char* pszStr,
          boolean bEmitCR,
          charState state)
{
  char cStr[100];

  switch (state) {
    case asIs:
      cout << pszStr;
      break;     
     
    case toUpper:
      strcpy(cStr, pszStr);
      strupr(cStr);
      cout << cStr;
      break;     
       
    case toLower:
      strcpy(cStr, pszStr);
      strlwr(cStr);
      cout << cStr;
      break;     
  }   

  if (bEmitCR)
    cout << "\n";
}

