// A C++ program that illustrates simple functions

#include <iostream.h>

// declare function prototypes
char getNextChar(char c);
char getPrevChar(char c);
int showChar(const char* pszMsg, char c);

int getAverage(int nNum1, int nNum2);
int showInt(const char* pszMsg, int nNum);

double getMean(double fX1, double fX2);
int showDouble(const char* pszMsg, double fX);

main()
{
  char cLetter;
  int nN1, nN2;
  double fX1, fX2;

  cout << "Enter a letter : ";
  cin >> cLetter;
  showChar("Input character is ", cLetter);
  showChar("Next character is ", getNextChar(cLetter));
  showChar("Previous character is ", getPrevChar(cLetter));
  cout << "\n";

  cout << "Enter first integer : ";
  cin >> nN1;
  cout << "Enter second integer : ";
  cin >> nN2;
  showInt("Average integer = ", getAverage(nN1, nN2));
  cout << "\n";

  cout << "Enter first number : ";
  cin >> fX1;
  cout << "Enter second number : ";
  cin >> fX2;
  showDouble("Average number = ", getMean(fX1, fX2));

  return 0;
}

char getNextChar(char c)
{
  return c + 1;
}

char getPrevChar(char c)
{
  return c - 1;
}

int showChar(const char* pszMsg, char c)
{
  cout << pszMsg << c << "\n";
  return 0;
}


int getAverage(int nNum1, int nNum2)
{
  return (nNum1 + nNum2) / 2;
}

int showInt(const char* pszMsg, int nNum)
{
  cout << pszMsg << nNum << "\n";
  return 0;
}

double getMean(double fX1, double fX2)
{
  return (fX1 + fX2) / 2;
}

int showDouble(const char* pszMsg, double fX)
{
  cout << pszMsg << fX << "\n";
  return 0;
}

