// A C++ program that illustrates void functions

#include <iostream.h>

// declare function prototypes
inline void newLine();
inline char getNextChar(char c);
inline char getPrevChar(char c);
inline void showChar(const char* pszMsg, char c);

inline int getAverage(int nNum1, int nNum2);
inline void showInt(const char* pszMsg, int nNum);

inline double getMean(double fX1, double fX2);
inline void showDouble(const char* pszMsg, double fX);

main()
{
  char cLetter;
  int nN1, nN2;
  double fX1, fX2;

  cout << "Enter a letter : ";
  cin >> cLetter;
  showChar("Input character is ", cLetter);
  showChar("Next character is : ", getNextChar(cLetter));
  showChar("Previous character is ", getPrevChar(cLetter));
  newLine();

  cout << "Enter first integer : ";
  cin >> nN1;
  cout << "Enter second integer : ";
  cin >> nN2;
  showInt("Average integer = ", getAverage(nN1, nN2));
  newLine();

  cout << "Enter first number : ";
  cin >> fX1;
  cout << "Enter second number : ";
  cin >> fX2;
  showDouble("Average number = ", getMean(fX1, fX2));

  return 0;
}

void newLine()
{
  cout << "\n";
}

char getNextChar(char c)
{
  return c + 1;
}

char getPrevChar(char c)
{
  return c - 1;
}

void showChar(const char* pszMsg, char c)
{
  cout << pszMsg << c << "\n";
}


int getAverage(int nNum1, int nNum2)
{
  return (nNum1 + nNum2) / 2;
}

void showInt(const char* pszMsg, int nNum)
{
  cout << pszMsg << nNum << "\n";
}

double getMean(double fX1, double fX2)
{
  return (fX1 + fX2) / 2;
}

void showDouble(const char* pszMsg, double fX)
{
  cout << pszMsg << fX << "\n";
}

