// A C++ program that illustrates nested for loops

#include <iostream.h>
#include <stdlib.h>
#include <time.h>
  
main()
{    
  const int MIN_NUM = 100;
  const int MAX_NUM = 899;
  const int MAX_ROWS = 5;  
  const int MAX_COLS = 5;
  int nMat[MAX_ROWS][MAX_COLS];   
  int nBig[MAX_COLS];
  int nSmall[MAX_COLS];
  int i,j;
                              
  // reseed random-number generator                              
  srand((unsigned)time(NULL));   
 
  // assign random values (range from 100 to 999)
  // to the matrix elements
  for (i = 0; i < MAX_ROWS; i++)
    for (j = 0; j < MAX_COLS; j++)
      nMat[i][j] = rand() % MAX_NUM + MIN_NUM;
  
  // display matrix
  for (i = 0; i < MAX_ROWS; i++) {
    for (j = 0; j < MAX_COLS; j++)
       cout << nMat[i][j] << " ";
    cout << "\n";
  }               
  cout << "\n";
 
  // find the smallest elements in each column
  for (j = 0; j < MAX_COLS; j++) {
    nSmall[j] = MAX_NUM + 1;
    for (i = 0; i < MAX_ROWS; i++)
       if (nSmall[j] > nMat[i][j])
         nSmall[j] = nMat[i][j];
  }               

  // find the largest elements in each column
  for (j = 0; j < MAX_COLS; j++) {
    nBig[j] = MIN_NUM - 1;
    for (i = 0; i < MAX_ROWS; i++)
       if (nBig[j] < nMat[i][j])
         nBig[j] = nMat[i][j];
  }               

  // display smallest and largest values
  for (j = 0; j < MAX_COLS; j++) {     
    cout << "Column # " << j << " : ";
    cout << "smallest value is " << nSmall[j];
    cout << " and largest value is " << nBig[j] << "\n";
  }

  return 0;
}

