// A C++ program that illustrates an open-iteration for loop

#include <iostream.h>

double Factorial(const unsigned n);

main()
{
  const double HI = 1000.0;
  double fFact;
  unsigned nNum = 2;

  for (;;) {
    fFact = Factorial(nNum) ;
    if (fFact > HI)
      break;
    cout << "Factorial of " << nNum
         << " = " << fFact << "\n";
    nNum++;
  }

  return 0;
}

double Factorial(const unsigned n)
{
  double fResult = 1.0;
  unsigned i = 1;

  for(;;) {
    fResult *= (double)i++;
    if (i > n)
      break;
  }

  return fResult;
}

