// A C++ program that illustrates
// the dual-alternative if statement

#include <iostream.h>

class minMaxFinder
{
  public:
    minMaxFinder();
    void setValues(int nNum1, int nNum2);
    int getMin()
      { return m_nMin; }
    int getMax()
      { return m_nMax; }

  protected:
    int m_nMin;
    int m_nMax;
};

minMaxFinder::minMaxFinder()
{
  m_nMin = -3768;
  m_nMax =  3767;
}

void minMaxFinder::setValues(int nNum1, int nNum2)
{
  if (nNum1 > nNum2) {
    m_nMin = nNum2;
    m_nMax = nNum1;
  }
  else {
    m_nMin = nNum1;
    m_nMax = nNum2;
  }
}

main()
{
  int nNum1, nNum2;
  minMaxFinder minMax;

  cout << "Enter first integer : ";
  cin >> nNum1;
  cout << "Enter second integer : ";
  cin >> nNum2;

  if (nNum1 != nNum2) {
    minMax.setValues(nNum1, nNum2);
    cout << "Smaller integer is " << minMax.getMin() << "\n";
    cout << "Larger integer is " <<  minMax.getMax() << "\n";
  }
  else
    cout << "Numbers are equal!";

  return 0;
}

