// A C++ program that illustrates
// the member function ios::flags

#include <iostream.h>

main()
{
  int nNum = 16;
  double fX = 355.113;
  long lFlags;

  cout << nNum << " (base 10) = ";
  cout.flags(ios::hex | ios::showbase);
  cout << nNum << " (base 16) = ";
  cout.flags(ios::oct | ios::showbase);
  cout << nNum << " (base 8)\n";

  cout.flags(ios::scientific | ios::showpos);
  cout << "Floating-point number is " << fX << "\n";

  cout.flags(ios::fixed | ios::showpos);
  cout << "Floating-point number is " << fX << "\n";

  lFlags = cout.flags(); // get flags
  if (lFlags & ios::dec)
    cout << "Integer output uses base 10\n";
  else if (lFlags & ios::hex)
    cout << "Integer output uses base 16\n";
  else
    cout << "Integer output uses base 8\n";

  return 0;
}

