// A C++ program that illustrates using pointers
// to access multidimensional arrays

#include <iostream.h>
#include <iomanip.h>

main()
{
  const int MAX_ROWS = 9;
  const int MAX_COLS = 5;
  double fMat[MAX_ROWS][MAX_COLS];
  double* pfMat[MAX_ROWS];
  double** ppfMat = pfMat;
  double fSum = 0;

  // initialize array of pointers
  for(int i = 0; i < MAX_ROWS; i++)
    pfMat[i] = &fMat[i][0];

  // assign values to the matrix elements
  for( i = 0; i < MAX_ROWS; i++)
    for(int j = 0; j < MAX_COLS; j++)
       *(*(pfMat + i) + j) = double(100 * (i+1) + (j+1));

  // add the values in the matrix
  for(i = 0; i < MAX_ROWS; i++)
    for(int j = 0; j < MAX_COLS; j++)
       fSum += *(*(ppfMat + i) + j);

  // display the values in the matrix
  for(i = 0; i < MAX_ROWS; i++) {
    for(int j = 0; j < MAX_COLS; j++)
      cout << fMat[i][j] << ' ';
    cout << endl;
  }

  // display the sum of matrix values
  cout << endl << "Sum of matrix elements = "
       << fSum << endl;

  return 0;
}

