// A C++ program to illustrate structures

#include <iostream.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>
 
// declare the structure for basic statistical data 
struct BasicStat {
  int nNumData;
  double fSumOfX;
  double fSumOfXSqr;
  double fMean;
  double fSdev;
};

main()
{ 
  const int MAX = 100;   
  const int MIN_NUM = 1;
  const int MAX_NUM = 1000;
  double fData[MAX];
  int i;            
  // declare a structure
  BasicStat StatData;            
  // declare a pointer to structure StatData
  BasicStat* pStatData = &StatData;

  // reseed random-number generator                              
  srand((unsigned)time(NULL));   

  for (i = 0; i < MAX; i++)
    fData[i] = double(rand() % MAX_NUM + MIN_NUM);
  
  // initialize some of the data members 
  StatData.nNumData = MAX;
  StatData.fSumOfX = 0;
  StatData.fSumOfXSqr = 0;            
  // obtain statistical summations
  for (i = 0; i < MAX; i++) {  
    StatData.fSumOfX += fData[i];
    StatData.fSumOfXSqr += fData[i] * fData[i];   
  }
                                        
  // calculate mean value using pointer pStatData
  pStatData->fMean = pStatData->fSumOfX / pStatData->nNumData;
  // calculate standard deviation using pointer pStatData
  pStatData->fSdev =
       sqrt((pStatData->fSumOfXSqr -
             pStatData->fSumOfX * pStatData->fSumOfX /
             pStatData->nNumData) /
             (pStatData->nNumData - 1));

  cout << "Number of observations = "
       << StatData.nNumData << "\n"
       << "Mean = " << StatData.fMean << "\n"
       << "Standard deviation = "
       << StatData.fSdev;                        

  return 0;
}

