// A C++ program that illustrates unions

#include <iostream.h>
#include <iomanip.h>

union XInt
{
  long m_lValue;
  unsigned m_uValue[2];
};

main()
{
  XInt myInt;

  // initialize the data member m_lValue of the union
  myInt.m_lValue = 65536;

  cout << "Assigning a value to data member m_lValue\n";
  cout << "Long integer is " << myInt.m_lValue << endl;
  cout << "Low unsigned integer is "
       << myInt.m_uValue[0] << endl;
  cout << "High unsigned integer is "
       << myInt.m_uValue[1] << endl;

  cout << endl;
  myInt.m_uValue[0] = 0xff;
  myInt.m_uValue[1] = 0xff;
  cout << "Assigning a value to data member m_uValue\n";
  cout << "Low unsigned integer is "
       << myInt.m_uValue[0] << endl;
  cout << "High unsigned integer is "
       << myInt.m_uValue[1] << endl;
  cout << "Long integer is " << myInt.m_lValue << endl;


  return 0;
}

