// A C++ program that illustrates
// unions that have member functions

#include <iostream.h>
#include <iomanip.h>

union XInt
{
  XInt(long lValue = 0)
    { m_lValue = lValue; }
  void setLong(long lValue)
   { m_lValue = lValue; }
  long getLong()
    { return m_lValue; }
  void setLowUnsigned(unsigned uValue)
    { m_uValue[0] = uValue; }
  void setHighUnsigned(unsigned uValue)
    { m_uValue[1] = uValue; }
  unsigned getLowUnsigned()
    { return m_uValue[0]; }
  unsigned getHighUnsigned()
    { return m_uValue[1]; }

  protected:
    long m_lValue;
    unsigned m_uValue[2];
};

main()
{
  XInt myInt;

  // initialize the data member m_lValue of the union
  myInt.setLong(65536);

  cout << "Assigning a value to data member m_lValue\n";
  cout << "Long integer is " << myInt.getLong() << endl;
  cout << "Low unsigned integer is "
       << myInt.getLowUnsigned() << endl;
  cout << "High unsigned integer is "
       << myInt.getHighUnsigned() << endl;

  cout << endl;
  myInt.setLowUnsigned(0xff);
  myInt.setHighUnsigned(0xff);
  cout << "Assigning a value to data member m_uValue\n";
  cout << "Low unsigned integer is "
       << myInt.getLowUnsigned() << endl;
  cout << "High unsigned integer is "
       << myInt.getHighUnsigned() << endl;
  cout << "Long integer is " << myInt.getLong() << endl;


  return 0;
}

