// A C++ program that illustrates a simple class

#include <iostream.h>

class myInt
{
  public:
    // public constructor
  myInt();
  myInt(const myInt& anIntObj);
  void setInt(const int nNewNum);
  int getInt();
  void show(const char* pszMsg);

  protected:
    int m_nInt;
};

myInt::myInt()
{
  m_nInt = 0;
}

myInt::myInt(const myInt& anIntObj)
{
  m_nInt = anIntObj.m_nInt;
}

void myInt::setInt(const int nNewNum)
{
  m_nInt = nNewNum;
}

int myInt::getInt()
{
  return m_nInt;
}

void myInt::show(const char* pszMsg)
{
  cout << pszMsg << m_nInt << "\n";
}

main()
{
  int nNum;

  // create object objInt1 using void constructor
  myInt objInt1;
  objInt1.setInt(10);
  objInt1.show("Value of objInt1 is ");
  nNum = objInt1.getInt();
  cout << "Value of variable nNum (= objInt1) is "
       << nNum << "\n";

  // create object objInt2 using copy constructor
  myInt objInt2(objInt1);
  objInt2.show("Value of objInt2 is ");
  nNum = objInt2.getInt();
  cout << "Value of variable nNum (= objInt2) is "
       << nNum << "\n";

  return 0;
}

