// A C++ program that illustrates a simple class
// with inline definitions of member functions

#include <iostream.h>

class myInt
{
  public:
    // public constructor
  myInt() { m_nInt = 0; }
  myInt(const myInt& anIntObj)
    { m_nInt = anIntObj.m_nInt; }
  void setInt(const int nNewNum)
    { m_nInt = nNewNum; }
  int getInt()
    { return m_nInt; }
  void show(const char* pszMsg)
      { cout << pszMsg << m_nInt << "\n"; }

  protected:
    int m_nInt;
};

main()
{
  int nNum;

  // create object objInt1 using void constructor
  myInt objInt1;
  objInt1.setInt(10);
  objInt1.show("Value in objInt1 is ");
  nNum = objInt1.getInt();
  cout << "Value in variable nNum (= objInt1) is "
       << nNum << "\n";

  // create object objInt2 using copy constructor
  myInt objInt2(objInt1);
  objInt2.show("Value in objInt2 is ");
  nNum = objInt2.getInt();
  cout << "Value in variable nNum (= objInt2) is "
       << nNum << "\n";

  return 0;
}

