// A C++ program that illustrates
// nested try blocks

#include <iostream.h>

// declare skeleton exception classes
class mainError {};
class error1 {};
class error2 {};
class error3 {};

main()
{
  int nNum = 123;

  // throw an exception
  cout << "Throwing the main exception\n";
  try {
    throw mainError();
  }
  catch (mainError)
  {
    cout << "Handling main exception\n";
    try {
      if (nNum < 10)
        throw error1();
      else if (nNum < 100)
        throw error2();
      else if (nNum < 1000)
        throw error3();
    }
    catch (error1)
    {
      cout << "Handling exception error1";
    }
    catch (error2)
    {
      cout << "Handling exception error2";
    }
    catch (error3)
    {
      cout << "Handling exception error3";
    }
    catch (...)
    {
      cout << "Handling other errors\n";
    }
  }
  catch (int nCode)
  {
    cout << nCode << " is not a valid int\n";
  }
  catch (char cCode)
  {
    cout << cCode << " is not a valid char\n";
  }
  catch (long lCode)
  {
    cout << lCode << " is not a valid long\n";
  }

  return 0;
}

