// A C++ program that illustrates
// binary file stream input and output

#include <fstream.h>
#include <iomanip.h>
#include <stdio.h>
#include <string.h>

main()
{
  const int LINE_SIZE = 80;
  const int MAX_LINES = 4;

  char cImg[LINE_SIZE + 1];
  unsigned len;
  fstream f;

  // open stream for output
  f.open("MYDATA.DAT", ios::out | ios::binary);
  for (int i = 1; i <= MAX_LINES; i++) {
    sprintf(cImg, "This is line number %d", i);
    len = strlen(cImg) + 1;
    // write the number of characters
    f.write((const char*)&len, sizeof(len));
    // write the characters
    f.write((const char*)cImg, len);
  }
  // close output file stream
  f.close();

  // open stream for input
  f.open("MYDATA.DAT", ios::in | ios::binary);
  while (!f.eof()) {
    // read the number of characters
    f.read((char*)&len, sizeof(len));
    if (f.eof())
      break;
    // read the characters
    f.read((char*)cImg, len);
    cout << cImg << endl;
  }
  // close output file stream
  f.close();

  return 0;
}

