// A C++ program that illustrates different for loops

#include <iostream.h>

main()
{
  const int MAX = 10;  
  int nArr[MAX];
  int nSwap;
  int i,j;
 
  // assign values to the array elements
  for(i = 0;     // initialize loop control variable
      i < MAX;   // test for loop continuation
      i++)       // increment loop control variable
    nArr[i] = MAX - i;
 
  cout << "Array is:\n";
  // display the array elements
  for (i = 0; i < MAX; i++)
    cout << nArr[i] << ' ';
  cout << "\n";              
 
   cout << "Reversed array (using "
        << "downward-counting loop) is:\n";
  // display the array elements
  for (i = MAX - 1; i >= 0; i--)
    cout << nArr[i] << ' ';
  cout << "\n";              
 
  // reverse the order of the array elements   
  for (i = 0, j = MAX - 1; // initialize loop control variables
       i < j;              // test for loop continuation
       i++, j--) {         // increment loop control variable i and
                           // decrement loop control variable j
    nSwap = nArr[i];
    nArr[i] = nArr[j];
    nArr[j] = nSwap;
  } 
   
  cout << "Reversed array (after actually "
       << "reversing the order of elements) is:\n";
  // display the array elements
  for (i = 0; i < MAX; i++)
    cout << nArr[i] << ' ';

  return 0;
}

