// A C++ program that illustrates
// selected stream manipulators

#include <iostream.h>
#include <iomanip.h>

main()
{
  double fX = 355.678;
  int nNum = 125;

  cout << "Integer is "
       << hex           // hexadecimal format
       << setiosflags(ios::uppercase) // uppercase hex chars
       << nNum
       << endl;         // new line

  cout << "Integer is "
       << setfill('0')  // padding character is 0
       << setw(10)      // width is 10
       << dec           // decimal
       << nNum
       << endl;         // new line

  cout << "Number is "
       << setprecision(2)
       << fX
       << endl;        // new line

  cout << "Number is "
       << setfill('*')    // set padding characater to *
       << setprecision(3) // set precision to 3
       << setw(30)        // set width to 30 characters
       << setiosflags(ios::scientific |   // scientific format
                      ios::showpos    |   // show leading + sign
                      ios::right)         // right justify
       << fX
       << endl;        // new line

  return 0;
}

