// A C++ program that illustrates using pointers
// with existing variables

#include <iostream.h>
#include <iomanip.h>

main()
{
  int nNum1 = 11;
  int nNum2 = 22;
  int nNum3;
  int* pnNum = &nNum1;

  // double the value in variable nNum1
  // using the pointer pnNum
  *pnNum *= 2;
  cout << "Variable nNum1 stores " << nNum1
       << " (direct access)\n";
  cout << "Variable nNum1 stores " << *pnNum
       << " (pointer access)\n";

  // assign address of variable nNum2 to pointer pnNum
  pnNum = &nNum2;
  // triple the value in variable nNum2
  // using the pointer pnNum
  *pnNum *= 3;
  cout << "Variable nNum2 stores " << nNum2
       << " (direct access)\n";
  cout << "Variable nNum2 stores " << *pnNum
       << " (pointer access)\n";

  // assign address of variable nNum3 to pointer pnNum
  pnNum = &nNum3;
  cout << "Enter an integer : ";
  // store input in variable nNum3
  // using the pointer pnNum
  cin >> *pnNum;
  cout << "Variable nNum3 stores " << nNum3
       << " (direct access)\n";
  cout << "Variable nNum3 stores " << *pnNum
       << " (pointer access)\n";

  return 0;
}

