// A C++ program that illustrates using pointers
// to access single-dimensional arrays

#include <iostream.h>
#include <iomanip.h>

main()
{
  const int MAX = 10;
  int nArr[MAX] = { 8, 6, 1, 2, 5,
                    4, 7, 3, 0, 9 };
  int* pnArrI = nArr;
  int* pnArrJ = nArr;

  cout << "Unsorted array is:\n";
  for (int i = 0; i < MAX; i++) {
    cout << *pnArrI << ' ';
    pnArrI++;
  }
  cout << endl;

  // reset the address of the pointer
  // to access the first element
  pnArrI -= MAX;
  for (i = 0; i < (MAX - 1); i++) {
    for (int j = i + 1; j < MAX; j++)
      if (*(pnArrI + i) > *(pnArrJ +j)) {
        int nSwapBuffer = *(pnArrI + i);
        *(pnArrI + i) = *(pnArrJ +j);
        *(pnArrJ + j) = nSwapBuffer;
      }
  }

  cout << "Sorted array is:\n";
  for (i = 0; i < MAX; i++) {
    cout << *pnArrI << ' ';
    pnArrI++;
  }
  cout << endl;


  return 0;
}

