// A C++ program that illustrates using pointers
// to structured variables

#include <iostream.h>
#include <iomanip.h>

const int MAX_ROWS = 9;
const int MAX_COLS = 5;

struct Matrix
{
  double m_fMat[MAX_ROWS][MAX_COLS];
  double m_fSum;
};

main()
{
  Matrix Mat;
  Matrix* pMat = &Mat;

  // assign values to the matrix elements
  for(int i = 0; i < MAX_ROWS; i++)
    for(int j = 0; j < MAX_COLS; j++)
       pMat->m_fMat[i][j] = double(100 * (i+1) + j);

  // add the values in the matrix
  for(i = 0; i < MAX_ROWS; i++)
    for(int j = 0; j < MAX_COLS; j++)
       pMat->m_fSum += pMat->m_fMat[i][j];

  // display the values in the matrix
  for(i = 0; i < MAX_ROWS; i++) {
    for(int j = 0; j < MAX_COLS; j++)
      cout << pMat->m_fMat[i][j] << ' ';
    cout << endl;
  }

  // display the sum of matrix values
  cout << endl << "Sum of matrix elements = "
       << pMat->m_fSum << endl;

  return 0;
}

