// A C++ program that illustrates C++ structures

#include <iostream.h>
#include <iomanip.h>

const int MAX_ELEMS = 100;

struct myArray
{
  char m_cArray[MAX_ELEMS];
  int m_nNumElems;
};

main()
{
  int cArr[] = { 'A', 'x', 'E', 't', 'I',
                 'P', 'q', 's', 'R', 'G' };
  int nNumArr = sizeof(cArr) / sizeof(int);
  myArray Array;

  // copy array cArr into structure Array
  for (int i = 0; i < nNumArr; i++)
    Array.m_cArray[i] = cArr[i];
  Array.m_nNumElems = nNumArr;

  cout << "Unsorted array is:\n";
  // display elements in structure Array
  for (i = 0; i < Array.m_nNumElems; i++)
    cout << Array.m_cArray[i] << ' ';
  cout << endl;

  for (i = 0; i < (Array.m_nNumElems - 1); i++) {
    for (int j = i + 1; j < Array.m_nNumElems; j++)
      if (Array.m_cArray[i] > Array.m_cArray[j]) {
        char nSwapBuffer = Array.m_cArray[i];
        Array.m_cArray[i] = Array.m_cArray[j];
        Array.m_cArray[j] = nSwapBuffer;
      }
  }

  cout << "Sorted array is:\n";
  // display elements in structure Array
  for (i = 0; i < Array.m_nNumElems; i++)
    cout << Array.m_cArray[i] << ' ';
  cout << endl;

  return 0;
}

