// A C++ program that illustrates that
// the if statement is more efficient than
// the switch statement for comparing
// an expression with a wide range of values

#include <iostream.h>

class sayChar
{
  public:
    void sayIt(char cChar);
};

class tellChar
{
  public:
    void sayIt(char cChar);
};

void sayChar::sayIt(char cChar)
{
  switch (cChar) {
    case 'a':
    case 'b':
    case 'c':
    // place other case labels
      cout << "a lowercase character";
      break;

    case 'A':
    case 'B':
    case 'C':
    // place other case labels
      cout << "an uppercase character";
      break;

    case '0':
    case '1':
    case '2':
    // place other case labels
      cout << "a digit";
      break;

    default:
      cout << "a puncutation character";
  }
  cout << " (using a switch statement)\n";
}

void tellChar::sayIt(char cChar)
{
  if (cChar >= 'a' && cChar <= 'z')
    cout << "a lowercase character";
  else if (cChar >= 'A' && cChar <= 'Z')
    cout << "an uppercase character";
  else if (cChar >= '0' && cChar <= '1')
    cout << "a digit";
  else
    cout << "a puncutation character";
  cout << " (using an if statement)\n";
}


main()
{
  char cChar;
  sayChar objChar1;
  tellChar objChar2;

  cout << "Enter a character : ";
  cin >> cChar;

  cout << "Character is ";
  objChar1.sayIt(cChar);

  cout << "Character is ";
  objChar2.sayIt(cChar);

  return 0;
}

